nxt.blockchain

## Class ChildTransactionImpl

- java.lang.Object
- - nxt.blockchain.TransactionImpl
  - - nxt.blockchain.ChildTransactionImpl

- All Implemented Interfaces:
    AccountLedger.LedgerEventId, ChildTransaction, Transaction

      public final class ChildTransactionImpl
      extends TransactionImpl
      implements ChildTransaction

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ChildTransactionImpl.BuilderImpl`

    - ### Nested classes/interfaces inherited from interface nxt.blockchain.ChildTransaction

      `ChildTransaction.Builder`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply()`
    `boolean` | `attachmentIsPhased()`
    `boolean` | `equals(java.lang.Object o)`
    `ChildChain` | `getChain()`
    `EncryptedMessageAppendix` | `getEncryptedMessage()`
    `EncryptToSelfMessageAppendix` | `getEncryptToSelfMessage()`
    `long` | `getFee()`
    `long` | `getFxtTransactionId()`
    `org.json.simple.JSONObject` | `getJSONObject()`
    `MessageAppendix` | `getMessage()`
    `long` | `getMinimumFeeFQT(int blockchainHeight)`
    `PhasingAppendix` | `getPhasing()`
    `ChainTransactionId` | `getReferencedTransactionId()`
    `byte[]` | `getSignature()`
    `protected int` | `getSize()`
    `int` | `hashCode()`
    `boolean` | `isPhased()`
    `void` | `validate()`
    `protected void` | `validateId()`

    - ### Methods inherited from class nxt.blockchain.TransactionImpl

      `attachmentIsDuplicate, bytes, getAmount, getAppendages, getAppendages, getAppendages, getAttachment, getBlock, getBlockId, getBlockTimestamp, getBytes, getDeadline, getECBlockHeight, getECBlockId, getExpiration, getFullHash, getFullSize, getHeight, getId, getIndex, getMinimumFeeFQT, getPrunableAttachmentJSON, getPrunableBytes, getPrunableEncryptedMessage, getPrunablePlainMessage, getRecipientId, getSenderId, getSenderPublicKey, getStringId, getTimestamp, getType, getUnsignedBytes, getVersion, newTransactionBuilder, newTransactionBuilder, newTransactionBuilder, parseTransaction, parseTransaction, prunableBytes, verifySignature`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface nxt.blockchain.Transaction

      `getAmount, getAppendages, getAppendages, getAppendages, getAttachment, getBlock, getBlockId, getBlockTimestamp, getBytes, getDeadline, getECBlockHeight, getECBlockId, getExpiration, getFullHash, getFullSize, getHeight, getId, getIndex, getMinimumFeeFQT, getPrunableAttachmentJSON, getPrunableBytes, getPrunableEncryptedMessage, getPrunablePlainMessage, getRecipientId, getSenderId, getSenderPublicKey, getStringId, getTimestamp, getType, getUnsignedBytes, getVersion, verifySignature`

- - ### Method Detail

    - #### getChain

          public ChildChain getChain()

      Specified by:
        `getChain` in interface `AccountLedger.LedgerEventId`
      Specified by:
        `getChain` in interface `ChildTransaction`
      Specified by:
        `getChain` in interface `Transaction`

    - #### getFxtTransactionId

          public long getFxtTransactionId()

      Specified by:
        `getFxtTransactionId` in interface `ChildTransaction`

    - #### getReferencedTransactionId

          public ChainTransactionId getReferencedTransactionId()

      Specified by:
        `getReferencedTransactionId` in interface `ChildTransaction`

    - #### getMessage

          public MessageAppendix getMessage()

      Specified by:
        `getMessage` in interface `ChildTransaction`

    - #### getEncryptedMessage

          public EncryptedMessageAppendix getEncryptedMessage()

      Specified by:
        `getEncryptedMessage` in interface `ChildTransaction`

    - #### getEncryptToSelfMessage

          public EncryptToSelfMessageAppendix getEncryptToSelfMessage()

      Specified by:
        `getEncryptToSelfMessage` in interface `ChildTransaction`

    - #### getPhasing

          public PhasingAppendix getPhasing()

      Specified by:
        `getPhasing` in interface `ChildTransaction`

    - #### isPhased

          public boolean isPhased()

      Specified by:
        `isPhased` in interface `Transaction`

    - #### attachmentIsPhased

          public boolean attachmentIsPhased()

      Specified by:
        `attachmentIsPhased` in class `TransactionImpl`

    - #### getFee

          public long getFee()

      Specified by:
        `getFee` in interface `Transaction`

    - #### getSignature

          public byte[] getSignature()

      Specified by:
        `getSignature` in interface `Transaction`

    - #### getJSONObject

          public org.json.simple.JSONObject getJSONObject()

      Specified by:
        `getJSONObject` in interface `Transaction`
      Overrides:
        `getJSONObject` in class `TransactionImpl`

    - #### getMinimumFeeFQT

          public long getMinimumFeeFQT(int blockchainHeight)

    - #### getSize

          protected int getSize()

    - #### equals

          public final boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public final int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws NxtException.ValidationException

      Specified by:
        `validate` in interface `Transaction`
      Overrides:
        `validate` in class `TransactionImpl`
      Throws:
        `NxtException.ValidationException`

    - #### validateId

          protected void validateId()
                             throws NxtException.ValidationException

      Throws:
        `NxtException.ValidationException`

    - #### apply

          public void apply()